namespace omp
{
    public class DOPCalculator
    {
        public static void Main(string[] args)
        {
            var configurator = new Configurator(args);
            var calculator = CalculatorFactory.Create(configurator);
            var results = calculator.Calculate();
            Drawer.DrawAll(configurator, results);

            foreach ((string name, double[,] arr) in results)
            {
                arr.SaveToFile(Path.Join("output", name + ".dat"));
            }
        }
    }
}
